Node.js erforderlich?

Hallo zusammen

Aktuell nutze ich einen Shopware 6.4 und würde diesen gerne auf 6.5 aktualisieren lassen. Nun habe ich gelesen das dafür Node.js 18 erforderlich ist. Mein Hoster hat mir mitgeteilt das Node.js auf dem Server aktuell nicht vorhanden ist.

Nun ist meine Frage, brauche ich Node.js 18 unbedingt oder ist das nicht zwingend notwendig?

Vielen Dank für eure Antworten.

Gruss
Mando

1 Like

Wirklich niemand eine Antwort darauf?

Hallo,

die Systemvoraussetzungen findest du hier: Shopware 6 - Erste Schritte - Systemvoraussetzungen . Du wirst node-js auf jeden Fall brauchen, wenn du ein storefront- oder adminstration-build machen willst.

Grüße
Sebastian

2 Likes

@sschreier alles klar. Vielen Dank für Deine Antwort, welche ich sehr zu schätzen weiss.

Gruss
Mando

Danke für die Frage! Denke das bringt einige ins Schwitzen. Ich kann das seitens Shopware zwar nicht nachvollziehen, aber da müssen wir wohl durch…

Um einen Shopware 6 Shop zu betreiben benötigst du kein Node.js - lediglich zum entwickeln (eigene/individuelle Themes und Plugins). Aber das machst in der Regel in einer lokalen Umgebung und/oder einem Deployment-Stack.